### Enumeration

# Clutter VirtualDeviceType

since: 13

#### Declaration

    flags Clutter.VirtualDeviceType

#### Description

No description available.

Available since: 13

#### Members

`CLUTTER_VIRTUAL_DEVICE_TYPE_NONE`
  No description available.
  - Value: `0`
  - Nickname: `none`
  - Available since: 13
`CLUTTER_VIRTUAL_DEVICE_TYPE_KEYBOARD`
  No description available.
  - Value: `1`
  - Nickname: `keyboard`
  - Available since: 13
`CLUTTER_VIRTUAL_DEVICE_TYPE_POINTER`
  No description available.
  - Value: `2`
  - Nickname: `pointer`
  - Available since: 13
`CLUTTER_VIRTUAL_DEVICE_TYPE_TOUCHSCREEN`
  No description available.
  - Value: `4`
  - Nickname: `touchscreen`
  - Available since: 13